# Class CIM_FilterCollectionSubscription
extends CIM_AbstractIndicationSubscription

CIM_FilterCollectionSubscription associates the CIM_FilterCollection with a CIM_ListenerDestionation.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_AbstractIndicationSubscription
|
+--CIM_FilterCollectionSubscription

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | CIM_FilterCollectionSubscription associates the CIM_FilterCollection with a CIM_ListenerDestionation.
UMLPackagePath | string | CIM::Event
Version | string | 2.27.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Filter | CIM_FilterCollectionSubscription | CIM_FilterCollection
Handler | CIM_FilterCollectionSubscription | CIM_ListenerDestination

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
FailureTriggerTimeInterval | uint64 | CIM_AbstractIndicationSubscription
OnFatalErrorPolicy | uint16 | CIM_AbstractIndicationSubscription
OtherOnFatalErrorPolicy | string | CIM_AbstractIndicationSubscription
OtherRepeatNotificationPolicy | string | CIM_AbstractIndicationSubscription
OtherSubscriptionState | string | CIM_AbstractIndicationSubscription
RepeatNotificationCount | uint16 | CIM_AbstractIndicationSubscription
RepeatNotificationGap | uint64 | CIM_AbstractIndicationSubscription
RepeatNotificationInterval | uint64 | CIM_AbstractIndicationSubscription
RepeatNotificationPolicy | uint16 | CIM_AbstractIndicationSubscription
SubscriptionDuration | uint64 | CIM_AbstractIndicationSubscription
SubscriptionInfo | string | CIM_AbstractIndicationSubscription
SubscriptionStartTime | datetime | CIM_AbstractIndicationSubscription
SubscriptionState | uint16 | CIM_AbstractIndicationSubscription
SubscriptionTimeRemaining | uint64 | CIM_AbstractIndicationSubscription
TimeOfLastStateChange | datetime | CIM_AbstractIndicationSubscription

## Class Methods